/*
  This work is licensed under the Creative Commons Attribution 4.0
  International License. To view a copy of this license,
  visit http://creativecommons.org/licenses/by/4.0/ or send a letter to
  Creative Commons, PO Box 1866, Mountain View, CA 94042, USA.
*/

function initServices(e) {
  loadContent('service-content', e);
}

function selectService(e) {
  const a = 'content/' + e + '.html';
  document.querySelector('.service-active').classList = '';
  document.getElementById(e).classList = "service-active";
  loadContent('service-content', a)
}

function storeTheme(e) {
  localStorage.theme = e;
}

function setTheme() {
  let a = localStorage.theme;
  let b = document.getElementById('glam').classList;
  if (a != 'undefined') {
    document.getElementById('glam').classList = "glam-" + a;
    document.querySelector('.active').classList = "";
    if (a != 'undefined') {
      document.getElementById(a).classList = "active";
    }
    else {
      document.getElementById('normal').classList = "active";
    }
    if (b != 'undefined') {
      console.log("Theme is: " + b);
    }
    else {
      console.log("Didn't work.");
    }
  }
  else {
    console.log('No theme loaded.\nUsing default theme.');
  }
}

function activate(e) {
  if (e != null) {
    let theme = 'glam-' + e;
    let act = document.getElementById(e);
    document.querySelector(".active").classList = "";
    document.getElementById('glam').classList = "";
    addClass('glam', theme);
    act.classList = "active";
  }
  else {
    let act = document.getElementById('normal');
    document.querySelector(".active").classList = "";
    document.getElementById('glam').classList = "";
    act.classList = "active";
  }
  storeTheme(e);
  if (localStorage.theme != 'undefined') {
    console.log("Theme is: " + localStorage.theme);
  }
  else {
    console.log("Default theme in use.");
  }
  removeClass('theme-menu', 'open');
}

function setPosition(e) {
  if (e != null) {
    document.getElementById('container').classList = "glam-main " + e;
  }
  else {
    document.getElementById('container').classList = "glam-main";
  }
}

function readStyle() {
  let a = localStorage.style;
  let b = document.getElementById('glam-style').className.split(' ')[1];
  if (a != '') {
    if (b != null) {
      console.log("Image style is: " + b);
    }
    else {
      console.log("Couldn't read image style.");
    }
  }
}

function storeStyle(e) {
  localStorage.style = e;
}

function setStyle(e) {
  document.getElementById('glam-style').classList = "glam-section glam-style" + e;
  storeStyle(e);
  readStyle();
}

function loadStyle() {
  let a = localStorage.style;
  let b = document.getElementById('glam-style').classList;
  let c = document.getElementById('glam-style').className.split(' ')[1];

  if (a != '') {
    document.getElementById('glam-style').classList = "glam-section glam-style" + a;
    if (c != null) {
      console.log("Image style is: 'glam-style-" + a + "'");
    }
    else {
      console.log("Couldn't read image style.");
    }
  }
}

function openMenu() {
  toggleClass('glam-menu', 'open')
}

function openThemeMenu() {
  toggleClass('theme-menu', 'open')
}

function initializeGlammerPro() {
  console.log('Welcome to Glammer Pro.\nIntializing...\n\n\n');
  loadStyle();
  setTheme();
  console.log('\n\nTheme and other preferences loaded successfully.');
  // TODO: include error checks.
}
